@mixin inter-type($inter-type, $inter-color, $inter-icon) {
  &.type-#{$inter-type} {
    .workspace-header {
      background-color: $inter-color;
    }
  }
}

.event-page {
  @include inter-type($inter-type: RDF, $inter-color: #8585bf, $inter-icon: "../images/icon-RDF.svg");
  @include inter-type($inter-type: DDE, $inter-color: #199cb8, $inter-icon: "../images/icon-DDE.svg");
  @include inter-type($inter-type: DEC, $inter-color: #e43e1c, $inter-icon: "../images/icon-DEC.svg");
  @include inter-type($inter-type: TAG, $inter-color: #ef8c33, $inter-icon: "../images/icon-TAG.svg");
  .workspace-header {
    @extend %flexbox;
    @include align-items(flex-start);
    padding-top: 2px;
    padding-bottom: 12px;
    position: sticky;
    top: 0;
    .title {
      padding-top: 20px;
      padding-bottom: 8px;
      font-size: 20px;
    }
    .btn-link {
      color: #fff;
      margin-right: 20px;
      i { font-size: 22px; }
    }
  }
}
